/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_CAMERADRIVINGPERSERVICE_CAMERADRIVINGPERCEPTIONSERVICE_COMMON_H
#define JAC_AP_CAMERADRIVINGPERSERVICE_CAMERADRIVINGPERCEPTIONSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "perception/impl_type_vector_cameraperception2fusion.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace cameradrivingperservice {

class CameraDrivingPerceptionService {
public:
    constexpr CameraDrivingPerceptionService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/CameraDrivingPerceptionService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace cameradrivingperservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_CAMERADRIVINGPERSERVICE_CAMERADRIVINGPERCEPTIONSERVICE_COMMON_H
